%global srcname d2to1

Name:           python-%{srcname}
Version:        0.2.12
Release:        %mkrel 2
Summary:        Allows using distutils2-like setup.cfg files for a package's metadata with a distribute/setuptools setup.py

Group:          Development/Python
License:        MIT
URL:            http://pypi.python.org/pypi/d2to1
Source0:        https://pypi.python.org/packages/source/d/%srcname/%srcname-%version.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  python-setuptools

%description
d2to1 (the 'd' is for 'distutils') allows using distutils2-like setup.cfg
files for a package's metadata with a distribute/setuptools setup.py script.
It works by providing a distutils2-formatted setup.cfg file containing all
of a package's metadata, and a very minimal setup.py which will slurp its
arguments from the setup.cfg.

%package -n     python3-%{srcname}
Summary:        Allows using distutils2-like setup.cfg files for a package's metadata with a distribute/setuptools setup.py
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

%description -n python3-%{srcname}
d2to1 (the 'd' is for 'distutils') allows using distutils2-like setup.cfg
files for a package's metadata with a distribute/setuptools setup.py script.
It works by providing a distutils2-formatted setup.cfg file containing all
of a package's metadata, and a very minimal setup.py which will slurp its
arguments from the setup.cfg.

This is the Python 3 build of %{srcname}.

%prep
%setup -q -n %{srcname}-%{version}

# Remove bundled egg-info
rm -rf %{srcname}.egg-info

%build
%py2_build

%py3_build

%install
%py2_install

%py3_install

%files
%doc CHANGES.rst CONTRIBUTORS README.rst
%{python2_sitelib}/d2to1*

%files -n python3-%{srcname}
%doc CHANGES.rst CONTRIBUTORS README.rst
%{python3_sitelib}/d2to1*


%changelog
* Mon Aug 22 2022 tex - 0.2.12-2pclos2022
- rebuild against updates

